Bug 474241 - gnuplot dependency bloat
gnuplot dependency bloat
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraServerTracker
  Show dependency treegraph
 
Reported: 2008-12-02 17:24 EST by Curtis Doty
Modified: 2009-01-14 02:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 02:32:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2008-12-02 17:24:37 EST
On F10...

/bin/sh
/sbin/install-info
libX11.so.6()(64bit)
libXpm.so.4()(64bit)
libatk-1.0.so.0()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libcairo.so.2()(64bit)
libdl.so.2()(64bit)
libfontconfig.so.1()(64bit)
libfreetype.so.6()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libgd.so.2()(64bit)
libgdk-x11-2.0.so.0()(64bit)
libgdk_pixbuf-2.0.so.0()(64bit)
libglib-2.0.so.0()(64bit)
libgmodule-2.0.so.0()(64bit)
libgobject-2.0.so.0()(64bit)
libgtk-x11-2.0.so.0()(64bit)
libjpeg.so.62()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libncurses.so.5()(64bit)
libpango-1.0.so.0()(64bit)
libpangocairo-1.0.so.0()(64bit)
libpng12.so.0()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libreadline.so.5()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libwx_baseu-2.8.so.0()(64bit)
libwx_baseu-2.8.so.0(WXU_2.8)(64bit)
libwx_baseu_net-2.8.so.0()(64bit)
libwx_baseu_xml-2.8.so.0()(64bit)
libwx_gtk2u_adv-2.8.so.0()(64bit)
libwx_gtk2u_aui-2.8.so.0()(64bit)
libwx_gtk2u_core-2.8.so.0()(64bit)
libwx_gtk2u_core-2.8.so.0(WXU_2.8)(64bit)
libwx_gtk2u_html-2.8.so.0()(64bit)
libwx_gtk2u_qa-2.8.so.0()(64bit)
libwx_gtk2u_richtext-2.8.so.0()(64bit)
libwx_gtk2u_xrc-2.8.so.0()(64bit)
libz.so.1()(64bit)
rtld(GNU_HASH)

Whereas on RHEL5 it's a *lot* more practical.

/bin/sh
/usr/bin/perl
libX11.so.6()(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpng
libpng12.so.0()(64bit)
libpng12.so.0(PNG12_0)(64bit)
libreadline.so.5()(64bit)
libtermcap.so.2()(64bit)
libz.so.1()(64bit)
perl(HTML::Entities)
perl(ctime.pl)
rtld(GNU_HASH)
Comment 1 Patrice Dumas 2008-12-03 11:50:53 EST
./configure --disable-wxwidgets --without-x
leads to much less deps, still X is pulled in by gd.
And gd is really linked against libXpm.

./configure --disable-wxwidgets
leads to something similar with the gnuplot in RHEL5, though with more dependencies, none seems obviously bogus.

That being said, I like the wxwidgets gnuplot output, it is better
than the previous one, so I guess that the best is to have 2 executables.
The default one should be, in my opinion, with wxwidgets, and gnuplot-nowxwidgets could be the other one, in a specific subpackage.

Thoughts?
Comment 2 Ivana Varekova 2008-12-04 04:36:07 EST
Hello, I agree with your opinion, there is a discussion on http://lists.fedoraproject.org/pipermail/fedora-server-list/2008-December/000008.html
regarding this topic so I'm waiting for some feedback there.
Comment 3 Ivana Varekova 2009-01-14 02:32:55 EST
For now in gnuplot-4.2.4-2.fc11 there are two separate subpackages - gnuplot and gnuplot-minimal.

Note You need to log in before you can comment on or make changes to this bug.